NewWacht Bench is live — AI-assisted development for Wacht

Get Organization Roles

GET
/organizations/{id}/roles

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/organizations/string/roles"
{
  "status": 0,
  "message": "string",
  "data": [
    {
      "id": "string",
      "organization_id": "string",
      "name": "string",
      "permissions": [
        "string"
      ],
      "created_at": "string",
      "updated_at": "string"
    }
  ],
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}